> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eazecustoms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get template group

> Retrieve details of a specific template group.

Retrieve the full details, code, and templates bundled within a template group.

### Path parameters

<ParamField path="id" type="number" required>
  The unique template group ID.
</ParamField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": 1,
    "name": "Default Import Group",
    "code": "IMP-DEFAULT",
    "isDefault": true,
    "companyId": 1,
    "DeclarationTemplates": [
      {
        "id": 7,
        "procedureType": "H1",
        "declarationType": "declarationEUGoods",
        "declarationOffice": "NL000432"
      }
    ]
  }
  ```
</ResponseExample>
